%define name libgalago-gtk
%define version 0.3.2
%define release 1mdk
%define major 0
%define libname %mklibname galago-gtk %major

Summary: Gtk bindings of Galago
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.galago.info/files/releases/source/%{name}-%{version}.tar.bz2
License: LGPL
Group: System/Libraries
Url: http://www.galago.info/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgalago-devel
BuildRequires: gtk+2-devel

%description
These are the gtk bindings of the Galago desktop presence framework.

%package -n %libname
Group: System/Libraries
Summary: Gtk bindings of Galago - shared library
#gw for the translations
Requires: %name >= %version

%description -n %libname
These are the gtk bindings of the Galago desktop presence framework.


%package -n %libname-devel
Group: Development/C
Summary: Gtk bindings of Galago - headers
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libname-devel
These are the gtk bindings of the Galago desktop presence framework.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
rm -rf %buildroot%_datadir/autopackage
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS
%_datadir/pixmaps/galago/

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/lib*.so
%_libdir/lib*a
%_libdir/pkgconfig/%name.pc
%_includedir/%name/

%changelog
* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- initial package
